<?
 date_default_timezone_set('America/Lima');
include "clases/Asistencia.class.php"; $objas = new Asistencia();
 include "clases/Afiliado.class.php"; $objaf = new Afiliado();
 

 
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
<title>CONTROL DE ASISTENCIA</title>
<link rel="stylesheet" href="media/css/bootstrap.css">
	<link rel="stylesheet" href="media/css/bootstrap.min.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="media/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/fixedHeader.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/responsive.bootstrap.min.css">
	 <script src="media/js/jquery-1.10.2.js"></script>
	<script src="media/js/jquery.dataTables.min.js"></script>
	<script src="media/js/dataTables.bootstrap.min.js"></script>
	<script src="media/js/dataTables.fixedHeader.min.js"></script>
	<script src="media/js/dataTables.responsive.min.js"></script>
	<script src="media/js/responsive.bootstrap.min.js"></script>
	
	<script src="media/js/jquery.min.js"></script>
    <script src="media/js/bootstrap.min.js"></script>
	
	<script>
	   function consultar(f)
	   {
	      if(f.fecha.value=="")
		  {
		      alert("Debe ingresar una fecha");
			  f.fecha.focus();
			  return false;
		  }else{
		  		f.action='rptasistencia.php';
				f.submit();
				return true;
		       }
	   }
	</script>
	
	
	<SCRIPT>
function IsNumeric(valor) 
{ 
var log=valor.length; var sw="S"; 
for (x=0; x<log; x++) 
{ v1=valor.substr(x,1); 
v2 = parseInt(v1); 
//Compruebo si es un valor numérico 
if (isNaN(v2)) { sw= "N";} 
} 
if (sw=="S") {return true;} else {return false; } 
} 
var primerslap=false; 
var segundoslap=false; 
function formateafecha(fecha) 
{ 
var long = fecha.length; 
var dia; 
var mes; 
var ano; 
if ((long>=2) && (primerslap==false)) { dia=fecha.substr(0,2); 
if ((IsNumeric(dia)==true) && (dia<=31) && (dia!="00")) { fecha=fecha.substr(0,2)+"-"+fecha.substr(3,7); primerslap=true; } 
else { fecha=""; primerslap=false;} 
} 
else 
{ dia=fecha.substr(0,1); 
if (IsNumeric(dia)==false) 
{fecha="";} 
if ((long<=2) && (primerslap=true)) {fecha=fecha.substr(0,1); primerslap=false; } 
} 
if ((long>=5) && (segundoslap==false)) 
{ mes=fecha.substr(3,2); 
if ((IsNumeric(mes)==true) &&(mes<=12) && (mes!="00")) { fecha=fecha.substr(0,5)+"-"+fecha.substr(6,4); segundoslap=true; } 
else { fecha=fecha.substr(0,3);; segundoslap=false;} 
} 
else { if ((long<=5) && (segundoslap=true)) { fecha=fecha.substr(0,4); segundoslap=false; } } 
if (long>=7) 
{ ano=fecha.substr(6,4); 
if (IsNumeric(ano)==false) { fecha=fecha.substr(0,6); } 
else { if (long==10){ if ((ano==0) || (ano<1900) || (ano>2100)) { fecha=fecha.substr(0,6); } } } 
} 
if (long>=10) 
{ 
fecha=fecha.substr(0,10); 
dia=fecha.substr(0,2); 
mes=fecha.substr(3,2); 
ano=fecha.substr(6,4); 
// Año no viciesto y es febrero y el dia es mayor a 28 
if ( (ano%4 != 0) && (mes ==02) && (dia > 28) ) { fecha=fecha.substr(0,2)+"-"; } 
} 
return (fecha); 
}
</SCRIPT> 
</head>

<body>
<script>
  // Espera a que el documento HTML est� completamente cargado
  document.addEventListener('DOMContentLoaded', function() {
    // Obtiene la referencia a la caja de texto por su id
    var cajaTexto = document.getElementById('fecha');
    // Establece el foco en la caja de texto
    cajaTexto.focus();
  });
</script>
<div class="container">
 <div class="panel panel-primary">
      <div class="panel-heading">
        <h4>Consulta de Asistencia por Fecha </h4>
      </div>
   <div class="panel-body">
		<form class="form-inline" method="post" action="">
		  <div class="form-group">
			<label class="sr-only">Email</label>
			<p class="form-control-static">Ingrese Fecha </p>
		  </div>
		  <div class="form-group">
			<label for="inputPassword2" class="sr-only">DNI</label>
			<input type="text" class="form-control" name="fecha" id="fecha" placeholder="Fecha" onKeyUp = "this.value=formateafecha(this.value);">
		  </div>
		  
		  <button type="button" class="btn btn-success" onClick="consultar(this.form);">Consultar en MS Excel</button>
		</form>
			
   </div>
</div>
</div>
</body>
</html>
